import request from '@/utils/request'

// 查询疾病信息字典列表
export function listDiseaseInfo(query) {
    return request({
        url: '/system/diseaseInfo/list',
        method: 'get',
        params: query
    })
}

// 查询疾病信息字典详细
export function getDiseaseInfo(id) {
    return request({
        url: '/system/diseaseInfo/' + id,
        method: 'get'
    })
}

// 新增疾病信息字典
export function addDiseaseInfo(data) {
    return request({
        url: '/system/diseaseInfo/add',
        method: 'post',
        data: data
    })
}

// 修改疾病信息字典
export function updateDiseaseInfo(data) {
    return request({
        url: '/system/diseaseInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除疾病信息字典
export function delDiseaseInfo(id) {
    return request({
        url: '/system/diseaseInfo/' + id,
        method: 'delete'
    })
}